# std::filesystem::directory_iterator::operator=

From cppreference.com
< cpp‎ | filesystem‎ | directory iterator

directory_iterator& operator=(const directory_iterator&) = default; directory_iterator& operator=(directory_iterator&&) = default; |  | (since C++17)

| This section is incomplete

### Parameters

| This section is incomplete

### Return value

*this

### Exceptions

| This section is incomplete

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_iterator/operator%3D&oldid=105023"